Index: /palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1319)
+++ /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -34,19 +39,4 @@
 ! 964 2012-07-26 09:14:24Z raasch
 ! code for profil-output removed
-!
-! 291 2009-04-16 12:07:26Z raasch
-! simulated_time in NetCDF output replaced by time_since_reference_point.
-! Output of NetCDF messages with aid of message handling routine.
-! Output of messages replaced by message handling routine.
-!
-! 189 2008-08-13 17:09:26Z letzel
-! allow 100 spectra levels instead of 10 for consistency with
-! define_netcdf_header, +user-defined spectra
-!
-! February 2007
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.7  2006/04/11 14:56:38  raasch
-! pl_spectra renamed data_output_sp
 !
 ! Revision 1.1  2001/01/05 15:14:20  raasch
@@ -61,17 +51,32 @@
 #if defined( __spectra )
 
-    USE arrays_3d
-    USE control_parameters
-    USE cpulog
+    USE control_parameters,                                                    &
+        ONLY:  average_count_sp, averaging_interval_sp, dosp_time_count
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point
+
+    USE kinds
+
     USE netcdf_control
+
     USE pegrid
-    USE spectrum
-    USE statistics
+
+    USE spectrum,                                                              &
+        ONLY:  data_output_sp
+
+    USE statistics,                                                            &
+        ONLY:  spectrum_x, spectrum_y
 
 
     IMPLICIT NONE
 
-    INTEGER :: m, pr, cranz_x, cranz_y
-    LOGICAL :: frame_x, frame_y
+    INTEGER(iwp) ::  cranz_x !:
+    INTEGER(iwp) ::  cranz_y !:
+    INTEGER(iwp) ::  m       !:
+    INTEGER(iwp) ::  pr      !:
+    
+    LOGICAL      ::  frame_x !: 
+    LOGICAL      ::  frame_y !:
 
     CALL cpu_log( log_point(31), 'data_output_spectra', 'start' )
@@ -183,24 +188,39 @@
 #if defined( __netcdf )
 
-    USE constants
-    USE control_parameters
-    USE grid_variables
-    USE indices
+    USE constants,                                                             &
+        ONLY:  pi
+
+    USE control_parameters,                                                    &
+        ONLY:  dosp_time_count
+
+    USE grid_variables,                                                        &
+        ONLY:  dx, dy
+
+    USE indices,                                                               &
+        ONLY:  nx, ny
+
+    USE kinds
+
     USE netcdf_control
-    USE spectrum
-    USE statistics
+
+    USE spectrum,                                                              &
+        ONLY:  n_sp_x, n_sp_y
+
+    USE statistics,                                                            &
+        ONLY:  spectrum_x, spectrum_y
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=1), INTENT(IN) ::  direction
-
-    INTEGER, INTENT(IN) ::  nsp
-
-    INTEGER ::  i, k
-
-    REAL ::  frequency
-
-    REAL, DIMENSION(nx/2) ::  netcdf_data_x
-    REAL, DIMENSION(ny/2) ::  netcdf_data_y
+    CHARACTER (LEN=1), INTENT(IN) ::  direction     !:
+
+    INTEGER(iwp), INTENT(IN)      ::  nsp           !:
+
+    INTEGER(iwp)                  ::  i             !:
+    INTEGER(iwp)                  ::  k             !:
+
+    REAL(wp)                      ::  frequency     !:
+
+    REAL(wp), DIMENSION(nx/2)     ::  netcdf_data_x !:
+    REAL(wp), DIMENSION(ny/2)     ::  netcdf_data_y !:
 
 
@@ -248,36 +268,72 @@
  SUBROUTINE data_output_spectra_x( m, cranz, pr, frame_written )
 
-    USE arrays_3d
-    USE constants
-    USE control_parameters
-    USE grid_variables
-    USE indices
+    USE constants,                                                             &
+        ONLY:  pi
+
+    USE control_parameters,                                                    &
+        ONLY:  averaging_interval_sp
+
+    USE grid_variables,                                                        &
+        ONLY:  dx
+
+    USE indices,                                                               &
+        ONLY:  nx
+
+    USE kinds
+
     USE pegrid
-    USE singleton
-    USE spectrum
-    USE statistics
-    USE transpose_indices
+
+    USE spectrum,                                                              &
+        ONLY:  comp_spectra_level, n_sp_x, plot_spectra_level
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=30) ::  atext
-    INTEGER            ::  i, j, k, m, pr
-    LOGICAL            ::  frame_written
-    REAL               ::  frequency = 0.0
-
+    CHARACTER (LEN=30) ::  atext !:
+    
+    INTEGER(iwp)       ::  i     !:
+    INTEGER(iwp)       ::  j     !:
+    INTEGER(iwp)       ::  k     !:
+    INTEGER(iwp)       ::  m     !:
+    INTEGER(iwp)       ::  pr    !:
+    
+    LOGICAL            ::  frame_written   !:
+    
+    REAL(wp)           ::  frequency = 0.0 !:
 !
 !-- Variables needed for PROFIL-namelist
-    INTEGER                  :: cranz, labforx = 3, labfory = 3, legpos = 3, &
-                                timodex = 1
-    INTEGER, DIMENSION(1:100):: cucol = 1, klist = 999999, lstyle = 0
-    LOGICAL                  :: datleg = .TRUE., grid = .TRUE., &
-                                lclose = .TRUE., rand = .TRUE., &
-                                swap = .TRUE., twoxa = .TRUE.,  &
-                                xlog = .TRUE., ylog = .TRUE.
-    CHARACTER (LEN=80)       :: rtext, utext, xtext = 'k in m>->1', ytext
-    REAL                     :: gwid = 0.1, rlegfak = 0.7, uxmin, uxmax, &
-                                uymin, uymax
-    REAL, DIMENSION(1:100)   :: lwid = 0.6
-    REAL, DIMENSION(100)     :: uyma, uymi
+    CHARACTER (LEN=80) ::  rtext                !:
+    CHARACTER (LEN=80) ::  utext                !:
+    CHARACTER (LEN=80) ::  xtext = 'k in m>->1' !:
+    CHARACTER (LEN=80) ::  ytext                !:
+
+    INTEGER(iwp)       ::  cranz       !:
+    INTEGER(iwp)       ::  labforx = 3 !:
+    INTEGER(iwp)       ::  labfory = 3 !:
+    INTEGER(iwp)       ::  legpos  = 3 !:
+    INTEGER(iwp)       ::  timodex = 1 !:
+    
+    INTEGER(iwp), DIMENSION(1:100) ::  cucol  = 1      !:
+    INTEGER(iwp), DIMENSION(1:100) ::  klist  = 999999 !:
+    INTEGER(iwp), DIMENSION(1:100) ::  lstyle = 0      !:
+    
+    LOGICAL ::  datleg = .TRUE. !:
+    LOGICAL ::  grid = .TRUE.   !:
+    LOGICAL ::  lclose = .TRUE. !:
+    LOGICAL ::  rand = .TRUE.   !:
+    LOGICAL ::  swap = .TRUE.   !:
+    LOGICAL ::  twoxa = .TRUE.  !:
+    LOGICAL ::  xlog = .TRUE.   !:
+    LOGICAL ::  ylog = .TRUE.   !:
+    
+    REAL(wp) ::  gwid = 0.1    !:
+    REAL(wp) ::  rlegfak = 0.7 !:
+    REAL(wp) ::  uxmin         !:
+    REAL(wp) ::  uxmax         !:
+    REAL(wp) ::  uymin         !:
+    REAL(wp) ::  uymax         !:
+     
+    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6 !:
+    REAL(wp), DIMENSION(100)   ::  uyma       !:
+    REAL(wp), DIMENSION(100)   ::  uymi       !:
 
     NAMELIST /RAHMEN/  cranz, datleg, rtext, swap
@@ -407,36 +463,74 @@
  SUBROUTINE data_output_spectra_y( m, cranz, pr, frame_written )
 
-    USE arrays_3d
-    USE constants
-    USE control_parameters
-    USE grid_variables
-    USE indices
+    USE constants,                                                             &
+        ONLY:  pi
+
+    USE control_parameters,                                                    &
+        ONLY:  averaging_interval_sp
+
+    USE grid_variables,                                                        &
+        ONLY:  dy
+
+    USE indices,                                                               &
+        ONLY:  ny
+
+    USE kinds
+
     USE pegrid
-    USE singleton
-    USE spectrum
-    USE statistics
-    USE transpose_indices
+
+    USE spectrum  comp_spectra_level, plot_spectra_level
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=30) ::  atext
-    INTEGER            :: i, j, k, m, pr
-    LOGICAL            :: frame_written
-    REAL               :: frequency = 0.0
+    
+    CHARACTER (LEN=30) ::  atext !:
+    
+    INTEGER(iwp)       ::  i     !:
+    INTEGER(iwp)       ::  j     !:
+    INTEGER(iwp)       ::  k     !:
+    INTEGER(iwp)       ::  m     !:
+    INTEGER(iwp)       ::  pr    !:
+    
+    LOGICAL            :: frame_written   !:
+    
+    REAL(wp)           :: frequency = 0.0 !:
 
 !
 !-- Variables needed for PROFIL-namelist
-    INTEGER                  :: cranz, labforx = 3, labfory = 3, legpos = 3, &
-                                timodex = 1
-    INTEGER, DIMENSION(1:100):: cucol = 1, klist = 999999, lstyle = 0
-    LOGICAL                  :: datleg = .TRUE., grid = .TRUE., &
-                                lclose = .TRUE., rand = .TRUE., &
-                                swap = .TRUE., twoxa = .TRUE.,  &
-                                xlog = .TRUE., ylog = .TRUE.
-    CHARACTER (LEN=80)       :: rtext, utext, xtext = 'k in m>->1', ytext
-    REAL                     :: gwid = 0.1, rlegfak = 0.7, uxmin, uxmax, &
-                                uymin, uymax
-    REAL, DIMENSION(1:100)   :: lwid = 0.6
-    REAL, DIMENSION(100)     :: uyma, uymi
+    CHARACTER (LEN=80) ::  rtext                !:
+    CHARACTER (LEN=80) ::  utext                !:
+    CHARACTER (LEN=80) ::  xtext = 'k in m>->1' !:
+    CHARACTER (LEN=80) ::  ytext                !:
+
+    INTEGER(iwp) ::  cranz       !:
+    INTEGER(iwp) ::  labforx = 3 !:
+    INTEGER(iwp) ::  labfory = 3 !:
+    INTEGER(iwp) ::  legpos  = 3 !:
+    INTEGER(iwp) ::  timodex = 1 !:
+    
+    INTEGER(iwp), DIMENSION(1:100) ::  cucol  = 1      !:
+    INTEGER(iwp), DIMENSION(1:100) ::  klist  = 999999 !:
+    INTEGER(iwp), DIMENSION(1:100) ::  lstyle = 0      !:
+    
+    LOGICAL ::  datleg = .TRUE. !:
+    LOGICAL ::  grid = .TRUE.   !:
+    LOGICAL ::  lclose = .TRUE. !:
+    LOGICAL ::  rand = .TRUE.   !:
+    LOGICAL ::  swap = .TRUE.   !:
+    LOGICAL ::  twoxa = .TRUE.  !:
+    LOGICAL ::  xlog = .TRUE.   !:
+    LOGICAL ::  ylog = .TRUE.   !:
+    
+    REAL(wp) ::  gwid = 0.1     !:
+    REAL(wp) ::  rlegfak = 0.7  !:
+    REAL(wp) ::  uxmin          !:
+    REAL(wp) ::  uxmax          !:
+    REAL(wp) ::  uymin          !:
+    REAL(wp) ::  uymax          !:
+    
+    REAL(wp), DIMENSION(1:100) ::  lwid = 0.6 !:
+    
+    REAL(wp), DIMENSION(100)   ::  uyma       !:
+    REAL(wp), DIMENSION(100)   ::  uymi       !:
 
     NAMELIST /RAHMEN/  cranz, datleg, rtext, swap
Index: /palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_tseries.f90	(revision 1319)
+++ /palm/trunk/SOURCE/data_output_tseries.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -36,17 +41,4 @@
 ! code put under GPL (PALM 3.9)
 !
-! 291 2009-04-16 12:07:26Z raasch
-! simulated_time in NetCDF output replaced by time_since_reference_point.
-! Output of NetCDF messages with aid of message handling routine.
-!
-! 48 2007-03-06 12:28:36Z raasch
-! Collection of time series quantities moved to routine flow_statistics,
-! output for "profil" removed
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.13  2006/03/14 12:42:51  raasch
-! Error removed: NetCDF output only if switched on
-!
 ! Revision 1.1  1998/03/03 08:00:13  raasch
 ! Initial revision
@@ -59,16 +51,26 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters
-    USE cpulog
-    USE indices
+    USE control_parameters,                                                    &
+        ONLY:  dots_time_count, netcdf_output, time_since_reference_point
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point  
+
+    USE kinds
+
     USE netcdf_control
+
     USE pegrid
+
     USE profil_parameter
-    USE statistics
+    
+    USE statistics,                                                            &
+        ONLY:  flow_statistics_called, statistic_regions, ts_value
 
     IMPLICIT NONE
 
 
-    INTEGER ::  i, sr
+    INTEGER(iwp) ::  i  !:
+    INTEGER(iwp) ::  sr !:
 
 
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 1319)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -60,31 +66,4 @@
 ! 825 2012-02-19 03:03:44Z raasch
 ! wang_collision_kernel renamed wang_kernel
-!
-! 790 2011-11-29 03:11:20Z raasch
-! diss is also calculated in case that the Wang kernel is used
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
-!
-! 97 2007-06-21 08:23:15Z raasch
-! Adjustment of mixing length calculation for the ocean version. zw added to
-! argument list.
-! This is also a bugfix, because the height above the topography is now
-! used instead of the height above level k=0.
-! theta renamed var, dpt_dz renamed dvar_dz, +new argument var_reference
-! use_pt_reference renamed use_reference
-!
-! 65 2007-03-13 12:11:43Z raasch
-! Reference temperature pt_reference can be used in buoyancy term
-!
-! 20 2007-02-26 00:12:32Z raasch
-! Bugfix: ddzw dimensioned 1:nzt"+1"
-! Calculation extended for gridpoint nzt
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.18  2006/08/04 14:29:43  raasch
-! dissipation is stored in extra array diss if needed later on for calculating
-! the sgs particle velocities
 !
 ! Revision 1.1  1997/09/19 07:40:24  raasch
@@ -118,21 +97,39 @@
     SUBROUTINE diffusion_e( var, var_reference )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
-       USE particle_attributes
+       USE arrays_3d,                                                          &
+           ONLY:  dd2zu, ddzu, ddzw, diss, e, km, l_grid, tend, zu, zw
+           
+       USE control_parameters,                                                 &
+           ONLY:  atmos_ocean_sign, g, turbulence, use_single_reference_value, &
+                  wall_adjustment, wall_adjustment_factor
+                  
+       USE grid_variables,                                                     &
+           ONLY:  ddx2, ddy2
+           
+       USE indices,                                                            &
+           ONLY:  nxl, nxr, nyn, nys, nzb, nzb_s_inner, nzt
+           
+       USE kinds
+       
+       USE particle_attributes,                                                &
+           ONLY:  use_sgs_for_particles, wang_kernel
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  dvar_dz, l_stable, var_reference
+       INTEGER(iwp) ::  i              !: 
+       INTEGER(iwp) ::  j              !: 
+       INTEGER(iwp) ::  k              !: 
+       REAL(wp)     ::  dvar_dz        !: 
+       REAL(wp)     ::  l_stable       !: 
+       REAL(wp)     ::  var_reference  !: 
 
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !: 
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  var
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  var  !: 
 #endif
-       REAL, DIMENSION(nzb+1:nzt,nys:nyn) ::  dissipation, l, ll
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  dissipation  !:
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  l            !:
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  ll           !: 
  
 
@@ -304,19 +301,38 @@
     SUBROUTINE diffusion_e_acc( var, var_reference )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
-       USE particle_attributes
+       USE arrays_3d,                                                          &
+           ONLY:  dd2zu, ddzu, ddzw, diss, e, km, l_grid, tend, zu, zw
+          
+       USE control_parameters,                                                 &
+           ONLY:  atmos_ocean_sign, g, turbulence, use_single_reference_value, &
+                  wall_adjustment, wall_adjustment_factor
+                
+       USE grid_variables,                                                     &
+           ONLY:  ddx2, ddy2
+           
+       USE indices,                                                            &
+           ONLY:  i_left, i_right, j_north, j_south, nzb_s_inner, nzt
+           
+       USE kinds
+       
+       USE particle_attributes,                                                &
+           ONLY:  use_sgs_for_particles, wang_kernel
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  dissipation, dvar_dz, l, ll, l_stable, var_reference
+       INTEGER(iwp) ::  i              !: 
+       INTEGER(iwp) ::  j              !: 
+       INTEGER(iwp) ::  k              !: 
+       REAL(wp)     ::  dissipation    !: 
+       REAL(wp)     ::  dvar_dz        !: 
+       REAL(wp)     ::  l              !: 
+       REAL(wp)     ::  ll             !: 
+       REAL(wp)     ::  l_stable       !: 
+       REAL(wp)     ::  var_reference  !: 
 
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !: 
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  var
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  var  !: 
 #endif
 
@@ -481,21 +497,39 @@
     SUBROUTINE diffusion_e_ij( i, j, var, var_reference )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
-       USE particle_attributes
+       USE arrays_3d,                                                          &
+           ONLY:  dd2zu, ddzu, ddzw, diss, e, km, l_grid, tend, zu, zw
+          
+       USE control_parameters,                                                 &
+           ONLY:  atmos_ocean_sign, g, turbulence, use_single_reference_value, &
+                  wall_adjustment, wall_adjustment_factor
+                
+       USE grid_variables,                                                     &
+           ONLY:  ddx2, ddy2
+           
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_s_inner, nzt
+           
+       USE kinds
+       
+       USE particle_attributes,                                                &
+           ONLY:  use_sgs_for_particles, wang_kernel
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  dvar_dz, l_stable, var_reference
+       INTEGER(iwp) ::  i              !: 
+       INTEGER(iwp) ::  j              !: 
+       INTEGER(iwp) ::  k              !: 
+       REAL(wp)     ::  dvar_dz        !: 
+       REAL(wp)     ::  l_stable       !:
+       REAL(wp)     ::  var_reference  !:
 
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !:
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  var
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  var     !:
 #endif
-       REAL, DIMENSION(nzb+1:nzt) ::  dissipation, l, ll
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  dissipation  !:
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  l            !:
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  ll           !:
 
 
